Subject: bug#46101: closed (Re: bug#46100: [PATCH 0/4] Memoize inferior package access.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 28 Jan 2021 13:17:02 +0000

Your bug report

#46100: [PATCH 1/4] guix: Fix typo.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
46100: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=46100
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#46100: [PATCH 0/4] Memoize inferior package access.
From: Ludovic Courtès <[email-masked]>
To: Ricardo Wurmus <[email-masked]>
Cc: [email-masked]
Date: Thu, 28 Jan 2021 14:16:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ricardo Wurmus <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> I pushed it as 0f20b3fa2050ba6e442e340a204516b9375cd231.
>
> Thanks!
>
>> I wonder if the other patches improve the situation.  If you run the
>> same test case with:
>>
>>   GUIX_PROFILING=memoization
>>
>> what hit rates does it show for these spots?
>
> Memoization: 15 tables, 2 non-empty
>   guix/inferior.scm:438:2: 	403 entries, 403 lookups, 0% hits
>   guix/inferior.scm:392:2: 	403 entries, 403 lookups, 0% hits
>
> So, I guess we can drop those two patches.

Looks like it.  :-)

Closing!

Thanks,
Ludo’.

Subject: [PATCH 1/4] guix: Fix typo.
From: Ricardo Wurmus <[email-masked]>
To: [email-masked], [email-masked]
Cc: Ricardo Wurmus <[email-masked]>
Date: Mon, 25 Jan 2021 14:37:35 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

* guix/inferior.scm (inferior-available-packages): Remove extra word in
docstring.
---
 guix/inferior.scm | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/guix/inferior.scm b/guix/inferior.scm
index 2fe91beaab..da6983d9a6 100644
--- a/guix/inferior.scm
+++ b/guix/inferior.scm
@@ -311,8 +311,7 @@ Raise '&inferior-exception' when an exception is read from PORT."
   "Return the list of name/version pairs corresponding to the set of packages
 available in INFERIOR.
 
-This is faster and requires less resource-intensive than calling
-'inferior-packages'."
+This is faster and less resource-intensive than calling 'inferior-packages'."
   (if (inferior-eval '(defined? 'fold-available-packages)
                      inferior)
       (inferior-eval '(fold-available-packages
-- 
2.29.2